=== debian/control ===
Source: ros-noetic-roscpp-traits
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/roscpp_traits
Standards-Version: 3.9.2

Package: ros-noetic-roscpp-traits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cpp-common, ros-noetic-rostime
Description: roscpp_traits contains the message traits code as described in MessagesTraits.
 This package is a component of roscpp.
