## ros-noetic-roscpp-traits 0.7.3

=== debian/changelog ===
ros-noetic-roscpp-traits (0.7.3-1focal) focal; urgency=high

  * Changed maintainer to Martin Pecka
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 15 Jun 2023 00:00:00 -0000

ros-noetic-roscpp-traits (0.7.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 00:00:00 -0000

ros-noetic-roscpp-traits (0.7.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 25 Jan 2020 00:00:00 -0000

ros-noetic-roscpp-traits (0.7.0-1focal) focal; urgency=high

  * various code cleanup (#116 <https://github.com/ros/roscpp_core/issues/116>)
  * Bump CMake version to avoid CMP0048 warning (#115 <https://github.com/ros/roscpp_core/issues/115>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jan 2020 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.13-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.11-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.10-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.9-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Feb 2018 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Jan 2018 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Nov 2017 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.6-1focal) focal; urgency=high

  * fix assignment operator of MessageEvent (#66 <https://github.com/ros/roscpp_core/issues/66>)
  * fix docblock of ROS_DECLARE_MESSAGE_WITH_ALLOCATOR (#67 <https://github.com/ros/roscpp_core/issues/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 06 Jun 2017 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 15 May 2017 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.2-1focal) focal; urgency=high

  * fix warning when compiling with -Wpedantic (#53 <https://github.com/ros/roscpp_core/issues/53>)
  * fix warning about unused parameters (#52 <https://github.com/ros/roscpp_core/issues/52>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 00:00:00 -0000

ros-noetic-roscpp-traits (0.6.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 00:00:00 -0000

ros-noetic-roscpp-traits (0.5.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Mar 2016 00:00:00 -0000

ros-noetic-roscpp-traits (0.5.6-1focal) focal; urgency=high

  * fix for compile issue on OS X 10.10 (#34 <https://github.com/ros/roscpp_core/pull/34>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 20 May 2015 00:00:00 -0000

ros-noetic-roscpp-traits (0.5.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.5.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Jul 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.5.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 28 Jun 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.5.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 27 Jun 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.5.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.5.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 19 Feb 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.4.2-1focal) focal; urgency=high

  * Revert "remove MessageEvent constructors from Message" (revert changes from 0.4.1)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.4.1-1focal) focal; urgency=high

  * remove MessageEvent constructors from Message (#21 <https://github.com/ros/roscpp_core/issues/21>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.4.0-1focal) focal; urgency=high

  * ros::MessageEvent no longer reads __connection_header from ROS message (#19 <https://github.com/ros/roscpp_core/issues/19>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Jan 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.3.17-1focal) focal; urgency=high

  * move several client library independent parts from ros_comm into roscpp_core (#12 <https://github.com/ros/roscpp_core/issues/12>)
  * fix compilation with libc++ (#15 <https://github.com/ros/roscpp_core/issues/15>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-noetic-roscpp-traits (0.3.16-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Jul 2013 00:00:00 -0000

ros-noetic-roscpp-traits (0.3.15-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-noetic-roscpp-traits (0.3.14-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-noetic-roscpp-traits (0.3.13-1focal) focal; urgency=high




