=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-noetic-roscpp-traits
 Section: misc
 Priority: optional
-Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
+Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
 Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
 Homepage: http://ros.org/wiki/roscpp_traits
 Standards-Version: 3.9.2
